"""Raw representations of every data type in the AWS CloudTrail service.

See Also:
    `AWS developer guide for CloudTrail
    <https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-user-guide.html>`_

This file is automatically generated, and should not be directly edited.
"""

from ..core import Resource

__all__ = [
    "Trail",
]


class Trail(Resource):
    """A Trail for CloudTrail.

    See Also:
        `AWS Cloud Formation documentation for Trail
        <http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-cloudtrail-trail.html>`_
    """

    RESOURCE_TYPE = "AWS::CloudTrail::Trail"

    RESOURCE_PROPERTIES = {
        "CloudWatchLogsLogGroupArn",
        "CloudWatchLogsRoleArn",
        "EnableLogFileValidation",
        "EventSelectors",
        "IncludeGlobalServiceEvents",
        "IsLogging",
        "IsMultiRegionTrail",
        "KMSKeyId",
        "S3BucketName",
        "S3KeyPrefix",
        "SnsTopicName",
        "Tags",
        "TrailName",
    }
