"""Raw representations of every data type in the AWS CloudWatch service.

See Also:
    `AWS developer guide for CloudWatch
    <http://docs.aws.amazon.com/AmazonCloudWatch/latest/monitoring/WhatIsCloudWatch.html>`_

This file is automatically generated, and should not be directly edited.
"""

from ..core import Resource

__all__ = [
    "Alarm",
    "Dashboard",
]


class Alarm(Resource):
    """A Alarm for CloudWatch.

    See Also:
        `AWS Cloud Formation documentation for Alarm
        <http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cw-alarm.html>`_
    """

    RESOURCE_TYPE = "AWS::CloudWatch::Alarm"

    RESOURCE_PROPERTIES = {
        "ActionsEnabled",
        "AlarmActions",
        "AlarmDescription",
        "AlarmName",
        "ComparisonOperator",
        "Dimensions",
        "EvaluateLowSampleCountPercentile",
        "EvaluationPeriods",
        "ExtendedStatistic",
        "InsufficientDataActions",
        "MetricName",
        "Namespace",
        "OKActions",
        "Period",
        "Statistic",
        "Threshold",
        "TreatMissingData",
        "Unit",
    }


class Dashboard(Resource):
    """A Dashboard for CloudWatch.

    See Also:
        `AWS Cloud Formation documentation for Dashboard
        <http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-cloudwatch-dashboard.html>`_
    """

    RESOURCE_TYPE = "AWS::CloudWatch::Dashboard"

    RESOURCE_PROPERTIES = {
        "DashboardBody",
        "DashboardName",
    }
