"""Raw representations of every data type in the AWS ECR service.

See Also:
    `AWS developer guide for ECR
    <https://docs.aws.amazon.com/AmazonECR/latest/userguide/index.html>`_

This file is automatically generated, and should not be directly edited.
"""

from ..core import Resource

__all__ = [
    "Repository",
]


class Repository(Resource):
    """A Repository for ECR.

    See Also:
        `AWS Cloud Formation documentation for Repository
        <http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ecr-repository.html>`_
    """

    RESOURCE_TYPE = "AWS::ECR::Repository"

    RESOURCE_PROPERTIES = {
        "LifecyclePolicy",
        "RepositoryName",
        "RepositoryPolicyText",
    }
